<?php
include '../../../include/cp_header.php';
include_once XOOPS_ROOT_PATH.'/class/xoopsform/grouppermform.php';

$module_id              = $xoopsModule->getVar('mid');
$title_of_form    = 'myhtmlに対してユーザグループ毎のアクセス権限を設定';
$perm_name              = 'myhtml_permit';
//$perm_desc         = 'プライベートフォーラムは表示されていません';

//myhtmlカテゴリーのIDと名前を取得
$sql = 'SELECT cid,title  FROM '.$xoopsDB->prefix('myhtml_cat').'';
if( !$ret = $xoopsDB->query($sql) ){
      echo "error";
}

$form = new XoopsGroupPermForm($title_of_form, $module_id, $perm_name,
  $perm_desc);
while( list($cid, $title) = $xoopsDB->fetchRow($ret) ){
   $form->addItem(10000000+$cid, $title."に対するアクセス許可");
   //itemidは8桁までOK
   $form->addItem(10100000+$cid, $title."に対する他人のファイルの閲覧許可",10000000+$cid);
	}

xoops_cp_header();
echo $form->render();
xoops_cp_footer();
?>